function updatePrice() {
    // Here we send a request to the API
    $.ajax({
        dataType: "json",
        url: "https://api.coinbase.com/v2/exchange-rates",
    }).done((response) => {
        // If it's successful it calls done and passes it the response from the server
        // The api response looks something like:
        /**
         * {
         *  data: {curreny: "USD", rates: {AED: "3.67295", ....}}
         * }
         */
        // The 3 letter symbol for bitcoin is BTC
        console.log(response.data);
        // Get the price for btc and set it
        // Note: Let is just a local scope version of var, since var is global by default
        let btc_price = 1.23 // Get the price from response.data
        $("#bitcoinPriceText").text(btc_price + "$");
    }).fail(() => {
        alert("Failed to get bitcoin exchange rate...");
        $("#bitcoinPriceText").text("0.00$");
    });
}


$(document).ready(() => {
    $("#updateButton").click(() => {
        updatePrice();
    });
});